Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.net.cache
Class OverflowMap.EntrySet.EntrySetIterator

`java.lang.Object
com.tangosol.util.Base
com.tangosol.util.AbstractStableIterator
com.tangosol.net.cache.OverflowMap.EntrySet.EntrySetIterator`

All Implemented Interfaces:
  Iterator

Enclosing class:
  OverflowMap.EntrySet

      protected class OverflowMap.EntrySet.EntrySetIterator

extends AbstractStableIterator

A pessimistic Iterator over the EntrySet that is backed by the OverflowMap.

Field Summary
`protected Iterator` | `m_iterKeys` Key iterator.
`protected Map` | `m_mapTemp` Map to use with getInternal() in order to determine differences between null values and non-present values.

Constructor Summary
`protected` | `OverflowMap.EntrySet.EntrySetIterator()`

Method Summary
`protected void` | `advance()` Advance to the next object.
`protected void` | `remove(Object oPrev)` Remove the specified item.

Methods inherited from class com.tangosol.util.AbstractStableIterator
`getPrevious, hasNext, next, remove, setNext`

Field Detail

### m_iterKeys

    protected Iterator m_iterKeys

  Key iterator.

### m_mapTemp

    protected Map m_mapTemp

  Map to use with getInternal() in order to determine differences between null values and non-present values.

Constructor Detail

### OverflowMap.EntrySet.EntrySetIterator

    protected OverflowMap.EntrySet.EntrySetIterator()

Method Detail

### advance

    protected void advance()

  Advance to the next object. <p/> This method must be implemented by the concrete sub-class by calling `AbstractStableIterator.setNext(java.lang.Object)` if there is a next object.
  Specified by:
    `advance` in class `AbstractStableIterator`

### remove

    protected void remove(Object oPrev)

  Remove the specified item. <p/> This is an optional operation. If the Iterator supports element removal, then it should implement this method, which is delegated to by the `AbstractStableIterator.remove()` method.
  Overrides:
    `remove` in class `AbstractStableIterator`
  Parameters:
    `oPrev` - the previously iterated object that should be removed

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.